Subject: Re: Query on CRLDP

From: Geetha Brown <[email-masked]>
Date: Wed, 17 Nov 1999 12:21:28 -0500

Abhishek,

In CRLDP draft, in section 3 it says the following:

In addition, the following functionality is added to what's defined
   in [1]:

     -  The Label Request Message used to setup a CR-LSP includes one
        or more CR-TLVs defined in Section 4. For instance, the Label
        Request Message may include the ER-TLV.
     -  An LSR implicitly infers ordered control from the existence of
        one or more CR-TLVs in the Label Request Message. This means
        that the LSR can still be configured for independent control
        for LSPs established as a result of dynamic routing. However,
        when a Label Request Message includes one or more of the CR-
        TLVs, then ordered control is used to setup the CR-LSP. Note
        that this is also true for the loosely routed parts of a CR-
        LSP.
     -  New status codes are defined to handle error notification for
        failure of established paths specified in the CR-TLVs.

This implies that B should send the label request that has CR-TLVs to C
and C
in turn need to send back a label mapping.

Both in LDP draft and CR-LDP draft, though explicitly not specified,
implies 
on this behaviour. 

Hope this helps

Geetha
> 
> Thanks for the reply now I have a one more dobt
> 
> Consider the following LSP
>   S1      S2
> A----->B------>C
> 
> Between A and B DOD is negotiated on session S1 and between B and C DU is negotiated on session S2. Now this case B can receive CR-LDP request from A but can't send it to C .Is this correct ? Please correct me if I am wrong
> Thanks
> Abhi
> 
> -----Original Message-----
> From:   Geetha Brown [SMTP:[email-masked]]
> Sent:   Wednesday, November 17, 1999 9:49 PM
> To:     Abhishek Gupta; [email-masked]
> Subject:        Re: Query on  CRLDP
> 
> Abhishek,
> 
> During the session initialization,  the LSRs negotiate the session
> parameters.  One of these session parameter
> is Label Advertisement Discipline. If the received label advertisement
> discipline is unacceptable to an LSR,
> the session gets rejected.  So, if your LSR is supporting DU mode and it
> has set up a session with its
> adjacent LSR after negotiating the distribution mode, it should not send
> the down stream on demand based
> CR-LDP request to your LSR.
> 
> Geetha
> 
> > Hi all ,
> > I understand that both  modes can be supported  but what shall I do when I am supporting DU mode and I receive CR-LDP request.
> > Please correct me if I am wrong.
> > Thanks
> > Abhi
> >
> > -----Original Message-----
> > From:   Srinivasan Balaji [SMTP:[email-masked]]
> > Sent:   Wednesday, November 17, 1999 7:07 PM
> > To:     Shyam P.S.
> > Cc:     [email-masked]
> > Subject:        Re: Query on  CRLDP
> >
> > Folks,
> >    Yes, multiple modes can be supported simultaneously by the LSR. CR-LDP
> > always uses the downstream on demand with ordered control
> > mode because of the various parameters that the source has to send
> > identifying & classifying the LSP.
> >
> > Thanks
> > Balaji.
> >
> > "Shyam P.S." wrote:
> >
> > > I think both "Unsolicited" and "On Demand" modes can be supported
> > > simultaneously by an LSR.
> > > Can anybody throw more light on this ?
> > > - SHyam
> > >
> > > ----- Original Message -----
> > > From: Abhishek Gupta <[email-masked]>
> > > To: [email-masked]' <[email-masked]>
> > > Sent: Wednesday, November 17, 1999 4:00 PM
> > > Subject: Query on CRLDP
> > >
> > > >
> > > > ****** Message from InterScan E-Mail VirusWall NT ******
> > > >
> > > > ** No virus found in attached file noname
> > > >
> > > > Mail Scanned For Virus At ITLInfosys
> > > >
> > > > *****************     End of message     ***************
> > > >
> > > >
> > >
> > > ----------------------------------------------------------------------------
> > > ----
> > >
> > > Hi All,
> > > I have a doubt regarding CR-LDP implementation in Unsolicited Control Mode.
> > > My question is whether is possible to Support CR-LDP  and Unsolicited Mode
> > > at the same time and at the same LSR? Though my question might sounds weird
> > > but I need a solution to my problem.
> > >
> > > A---->B---->C
> > > Suppose A, B and C are three LSRs and they are in Unsolicited Control Mode.
> > > Now  from A there a is CR-LDP request to B how does B react to it .Since I
> > > know that  CR-LDP uses Downstream On Demand Ordered Control Mode .
> > > * Now can I send CR-LDP request from A ?
> > >
> > > Thanks in advance
> > > Waiting for your replies.
> > > Abhi
> >
> > --
> >   -----------------------------------------------------------------
> >   Srinivasan Balaji
> >   Ficon Technology
> >   Voice : (732) 283-2770 xtn.303
> >   Fax   : (732) 283-2848
> >   mailto:[email-masked]
> >   Web   : http://www.ficon-tech.com
> >   -----------------------------------------------------------------
> 
> --
> Geetha M Brown

-- 
Geetha M Brown